### Method

# EBookContacts VCardAttribute has_type

#### Declaration [src]

    gboolean
    e_vcard_attribute_has_type (
      EVCardAttribute* attr,
      const gchar* typestr
    )

#### Description [src]

Checks if `attr` has an `EVCardAttributeParam` with name `EVC_TYPE` and `typestr` as one of its values.

For example, for the vCard attribute:

    TEL;TYPE=WORK,VOICE:(111) 555-1212

the following holds true:

    g_assert_true (e_vcard_attribute_has_type (attr, "WORK") == TRUE);
    g_assert_true (e_vcard_attribute_has_type (attr, "voice") == TRUE);
    g_assert_true (e_vcard_attribute_has_type (attr, "HOME") == FALSE);

Comparisons against `typestr` are case-insensitive.

#### Parameters

`typestr`

  Type: `const gchar*`

  A string representing the type.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `gboolean`

`TRUE` if such a parameter exists, `FALSE` otherwise.